# Yanex Documentation

Complete documentation for Yanex - Yet Another Experiment Tracker

## Getting Started

- [**Installation & Quick Start**](../README.md#quick-start) - Get up and running in minutes
- [**Configuration**](configuration.md) - Parameter management and config files
- [**Experiment Structure**](experiment-structure.md) - Directory layout and file organization

## CLI Commands

Yanex provides a comprehensive command-line interface for managing experiments:

### Core Commands
- [**`yanex run`**](commands/run.md) - Execute experiments with parameter tracking
- [**`yanex list`**](commands/list.md) - List and filter experiments  
- [**`yanex show`**](commands/show.md) - Display detailed experiment information
- [**`yanex compare`**](commands/compare.md) - Interactive experiment comparison

### Management Commands
- [**`yanex archive`**](commands/archive.md) - Archive old experiments
- [**`yanex unarchive`**](commands/unarchive.md) - Restore archived experiments
- [**`yanex delete`**](commands/delete.md) - Permanently delete experiments
- [**`yanex update`**](commands/update.md) - Modify experiment metadata


## Python API

- [**Python API Reference**](python-api.md) - Complete API documentation
- [**CLI-First Pattern**](python-api.md#cli-driven-pattern-primary) - Recommended approach
- [**Explicit Creation**](python-api.md#explicit-creation-pattern-advanced) - Advanced control
- [**Parameter Management**](python-api.md#parameter-access) - Working with configs and overrides
- [**Result Logging**](python-api.md#result-logging) - Tracking metrics and artifacts


## Examples

- [**Basic Usage Examples**](../examples/) - Simple experiment scripts

